(*
 * <COPYRIGHT>
 * Copyright 2005 Gerd Stolpmann
 *
 * <GPL>
 * This file is part of UMLMON.
 *
 * UMLMON is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * UMLMON is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with UMLMON; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * </>
 *)

(* $Id: umlmon_net.mli 187 2005-10-14 10:54:15Z gerd $ *)

open Umlmon_types

type net_setup

val setup_networking : umlstatus -> net_setup
  (* Creates the necessary tap devices and configures them *)

val clean_networking : umlstatus -> unit
  (* Deletes the tap devices *)

val kernel_arguments : net_setup -> string list
  (* Returns the additional kernel arguments for networking *)
